using System;
using Gtk;

namespace Dopi {

    public class Utility {

        public const string SongDndTarget = "x-dopi/song";
        public const uint SongDndId = 1;
        
        public static Button CreateButton (string image, string label) {
            Button button = new Button ();
            HBox buttonbox = new HBox (false, 2);
            buttonbox.PackStart (new Image (image, IconSize.Button), false, false, 0);
            Label buttonLabel = new Label (label);
            buttonLabel.UseUnderline = true;
            buttonbox.PackStart (buttonLabel, false, false, 0);
            button.Add (buttonbox);
            return button;
        }
    }
}
